import 'package:particle_ui/particle.dart';

class Opacity implements Attribute {
  final double value;

  const Opacity(this.value) : assert(value != null), assert(value >= 0), assert(value <= 1);
}

class Opacities {
  static const Opacity opaque = Opacity(1);
  static const Opacity opacity95 = Opacity(0.95);
  static const Opacity opacity90 = Opacity(0.9);
  static const Opacity opacity85 = Opacity(0.85);
  static const Opacity opacity80 = Opacity(0.8);
  static const Opacity opacity75 = Opacity(0.75);
  static const Opacity opacity70 = Opacity(0.7);
  static const Opacity opacity65 = Opacity(0.65);
  static const Opacity opacity60 = Opacity(0.6);
  static const Opacity opacity55 = Opacity(0.55);
  static const Opacity opacity50 = Opacity(0.5);
  static const Opacity opacity45 = Opacity(0.45);
  static const Opacity opacity40 = Opacity(0.4);
  static const Opacity opacity35 = Opacity(0.35);
  static const Opacity opacity30 = Opacity(0.3);
  static const Opacity opacity25 = Opacity(0.25);
  static const Opacity opacity20 = Opacity(0.2);
  static const Opacity opacity15 = Opacity(0.15);
  static const Opacity opacity10 = Opacity(0.1);
  static const Opacity opacity5 = Opacity(0.05);
  static const Opacity transparent = Opacity(0.0);
}