import 'package:flutter/painting.dart' as f show EdgeInsets;
import 'package:particle_ui/particle.dart';

class EdgeInsets extends f.EdgeInsets implements Attribute {
  const EdgeInsets(double value) : super.all(value);

  const EdgeInsets.all(double value) : super.all(value);
  const EdgeInsets.fromLTRB(double left, double top, double right, double bottom) : super.fromLTRB(left, top, right, bottom);
  const EdgeInsets.only({double left = 0, double top = 0, double right = 0, double bottom = 0}) : super.only(left: left, top: top, right: right, bottom: bottom);
  const EdgeInsets.symmetric({double vertical = 0, double horizontal = 0}) : super.symmetric(vertical: vertical, horizontal: horizontal);
}