import 'package:particle_ui/particle.dart';

enum FontType {
  headline1, headline2, headline3, headline4, headline5, headline6, subtitle1, subtitle2, body1, body2, button, footnote, caption1, caption2
}

class Font implements Attribute {
  final String fontFamily;
  final double fontSize;
  final FontWeight fontWeight;
  final FontStyle fontStyle;
  final double letterSpacing;
  final double wordSpacing;
  final double height;

  const Font({this.fontFamily, this.fontSize, this.fontWeight, this.fontStyle, this.letterSpacing, this.wordSpacing, this.height});
}